package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.scenic.entity.ScenicAccountEntity;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface ScenicAccountMapper {
    ScenicAccountEntity getByAccount(String account);
    int add(ScenicAccountEntity scenicAccount);
    ScenicAccountEntity getSuperAccountOfScenic(Long scenicId);
    int update(ScenicAccountEntity scenicAccount);
    int deleteById(Long id);
    int updateStatus(Long id);
    int deleteByScenicId(Long scenicId);

    ScenicAccountEntity findAccountById(String id);
}
